/* Gapensi News Center */
#gapensi-news-center {
   .c-card {
      border: 1px solid #D8D8D8;
      border-radius: 10px;
      padding: 20px 0;

      .c-card__header {
         padding: 0;
      }
   }

   .c-left-position {
      width: 90%;
      margin-left: 10px;
   }
   .c-right-position {
      width: 10%;
      display: flex;
      justify-content: center;
      align-items: center;
      margin-right: 20px;

      .swiper-button-prev,
      .swiper-button-next {
         position: relative;
         width: 30px;
         height: 20px;
      }

      .swiper-button-prev,
      .swiper-button-next {
         position: relative;
         background-image: none;
         width: auto;
         height: auto;
      }

      .swiper-button-prev {
         left: 0;
         right: auto;
         margin-right: 20px;

         &::before {
            font-family: 'Font Awesome 5 Free';
            content: '\f053';
            font-size: 22px;
            font-weight: 600;
            color: #2F3292;
         }
      }

      .swiper-button-next {
         right: 0;
         left: auto;

         &::before {
            font-family: 'Font Awesome 5 Free';
            content: '\f054';
            font-size: 22px;
            font-weight: 600;
            color: #2F3292;
         }
      }
   }

   .swiper-list-news {
      a {
         font-size: 14px;
         font-weight: 500;
         color: #C5C5C5;
         text-align: center;

         &.c-nav__link {
            padding: 0 0 20px;
         }
      }

      a.active {
         color: #2F3292;
         font-weight: 600;

         .c-bd-bottom--active {
            border-bottom: 2px solid #2F3292;
            margin-top: 20px;
            margin-left: 15px;
            margin-right: 15px;
         }
      }
   }

   ul.swiper-wrapper {
      &.c-nav {
         display: flex;
         flex-wrap: nowrap;
      }
      &.c-nav__outline {
         border: 0;

         .c-nav__link.active {
            &::before {
               bottom: 0;
               border-bottom: 3px solid #2F3292;
            }
         }
      }
   }

   .c-card__body {
      padding: 25px 20px;
      padding-bottom: 0;
   }
}

#news-content {
   .c-news-box-image {
      margin-bottom: 20px;

      &::after {
         content: "";
         display: block;
         overflow: hidden;
      }
   }

   .c-news-image-bg {
      background-color: #2F3292;
      text-align: center;
      height: 100%;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      overflow: hidden;
      transition: all 0.3s;
   }

   a {
      color: #FFFFFF;
      text-decoration: none;
   }
   a.c-news-image-link {
      display: block;
      width: 100%;
      height: 100%;

      img {
         height: 100%;
         width: auto;
         max-width: 100%;
         left: 0;
         vertical-align: middle;
      }
   }

   h1.c-news-title {
      font-size: 16px;
      font-weight: 600;
      color: #2F3292;
      word-wrap: break-word;
      line-height: 1.6;
      height: 48px;
      overflow: hidden;
      display: -webkit-box;
      text-overflow: ellipsis;
      -webkit-box-orient: vertical;
      -webkit-line-clamp: 2;
      margin-bottom: 10px;
   }

   .c-news-date,
   p.c-news-desc {
      font-size: 14px;
      font-weight: 500;
      color: #6E6E6E;
   }

   .c-news-date {
      margin-bottom: 15px;

      .time {
         margin-left: 10px;
      }
   }

   p.c-news-desc {
      word-wrap: break-word;
      line-height: 1.8;
      height: 100px;
      overflow: hidden;
      display: -webkit-box;
      text-overflow: ellipsis;
      -webkit-box-orient: vertical;
      -webkit-line-clamp: 4;
      margin-bottom: 5px;
   }

   a.c-news-more {
      text-decoration: none;
      font-size: 14px;
      font-weight: 600;
      color: #2F3292;
   }
}


ul.c-news-list {
   padding-left: 0;
   li.c-news-list--show {
      list-style: none;
      margin-bottom: 20px;

      &:last-child {
         margin-bottom: 0;
      }

      article {
         display: flex;
         justify-content: flex-start;
         align-items: flex-start;
      }

      .c-news-list-text {
         margin-left: 20px;
         
         h1 {
            font-size: 15px;
            font-weight: 600;
            word-wrap: break-word;
            line-height: 1.4;
            overflow: hidden;
            display: -webkit-box;
            text-overflow: ellipsis;
            -webkit-box-orient: vertical;
            -webkit-line-clamp: 2;
            color: #2F3292;
            margin-bottom: 5px;
         }
      }

      .date, .time {
         font-size: 13px;
         font-weight: 500;
         color: #6E6E6E;
      }
   }
}